package com.ruoyi.brewery.service;

import java.util.List;

import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.core.domain.entity.WyBreweryUser;

/**
 * 品牌方用户信息Service接口
 * 
 * @author ruoyi
 * @date 2024-12-22
 */
public interface IWyBreweryUserService 
{
    /**
     * 查询品牌方用户信息
     * 
     * @param userId 品牌方用户信息主键
     * @return 品牌方用户信息
     */
    public WyBreweryUser selectWyBreweryUserByUserId(Long userId);

    WyBreweryUser selectUserByUserName(String userName);

    /**
     * 查询品牌方用户信息列表
     * 
     * @param wyBreweryUser 品牌方用户信息
     * @return 品牌方用户信息集合
     */
    public List<WyBreweryUser> selectWyBreweryUserList(WyBreweryUser wyBreweryUser);

    /**
     * 新增品牌方用户信息
     * 
     * @param wyBreweryUser 品牌方用户信息
     * @return 结果
     */
    public int insertWyBreweryUser(WyBreweryUser wyBreweryUser);

    /**
     * 修改品牌方用户信息
     * 
     * @param wyBreweryUser 品牌方用户信息
     * @return 结果
     */
    public int updateWyBreweryUser(WyBreweryUser wyBreweryUser);

    /**
     * 批量删除品牌方用户信息
     * 
     * @param userIds 需要删除的品牌方用户信息主键集合
     * @return 结果
     */
    public int deleteWyBreweryUserByUserIds(Long[] userIds);

    /**
     * 删除品牌方用户信息信息
     * 
     * @param userId 品牌方用户信息主键
     * @return 结果
     */
    public int deleteWyBreweryUserByUserId(Long userId);

    String selectUserRoleGroup(String userName);

    boolean checkPhoneUnique(WyBreweryUser currentUser);

    boolean checkEmailUnique(WyBreweryUser currentUser);

    boolean checkUserNameUnique(WyBreweryUser user);

    public int updateUserProfile(WyBreweryUser currentUser);

    public int resetUserPwd(String userName, String newPassword);

    boolean updateUserAvatar(String username, String avatar);
}
